Skip to main content
GET
/
me
Get the current authenticated user
curl --request GET \
  --url https://api.rallyuxr.com/api/public/v1/me \
  --header 'Authorization: Bearer <token>'
{
  "userId": "usr_123456789",
  "workspaceId": "wsp_123456789",
  "workspaceSlug": "acme-research",
  "fullname": "John Doe",
  "email": "john.doe@example.com",
  "jobRole": "Product Manager",
  "profilePic": "https://example.com/profile.jpg",
  "status": "ACTIVE",
  "seat": "RESEARCHER_PAID",
  "role": "OPS_MANAGER",
  "teams": [
    {
      "teamId": "team_123456789",
      "name": "Design Research"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

The current user

userId
string
required

The id of the user

Example:

"usr_123456789"

workspaceId
string
required

The id of the user workspace

Example:

"wsp_123456789"

workspaceSlug
string
required

The slug of the user workspace

Example:

"acme-research"

fullname
string | null
required

The full name of the user

Example:

"John Doe"

email
string
required

The email of the user

Example:

"john.doe@example.com"

jobRole
string | null
required

The job role of the user

Example:

"Product Manager"

profilePic
string | null
required

The profile picture URL of the user

Example:

"https://example.com/profile.jpg"

status
enum<string>
required

The status of the user

Available options:
INVITED,
ACTIVE,
DEACTIVATED
Example:

"ACTIVE"

seat
enum<string> | null
required

The seat type of the user

Available options:
RALLY,
RESEARCHER_FREE,
RESEARCHER_PAID
Example:

"RESEARCHER_PAID"

role
enum<string>
required

The role of the user

Available options:
DEVELOPER,
OBSERVER,
RESEARCHER,
OPS_MANAGER,
SUPER_ADMIN,
CUSTOM,
COLLABORATOR
Example:

"OPS_MANAGER"

teams
object[]
required

The teams the user is a member of